local wezterm = require("wezterm")
local vsvar = require("vsvar")
local platform = require("platform")
local keybind = require("keybind")

local config = {

	audible_bell = "Disabled",
	check_for_updates = false,
	color_scheme = "Builtin Solarized Dark",
	inactive_pane_hsb = {
		hue = 1.0,
		saturation = 1.0,
		brightness = 1.0,
	},
	window_decorations = "RESIZE",
}

config.font_size = platform.getFontSize()
config.launch_menu = {}
config.initial_rows = 30
config.initial_cols = 130
keybind.setKey(config)

if wezterm.target_triple == "x86_64-pc-windows-msvc" then
	table.insert(config.launch_menu, {
		label = "PowerShell",
		args = { "powershell.exe", "-NoLogo" },
	})
	vsvar.get(config.launch_menu)
end

return config
